name: small-sandbox
hosts:
  - name: server
    base_box: {image: munikypo/debian-9-x86_64, mgmt_user: debian}
    flavor: csirtmu.tiny1x2
    block_internet: True
    hidden: True

  - name: home
    base_box: {image: windows/windows-10-amd64, mgmt_protocol: winrm}
    flavor: csirtmu.tiny1x2
    extra:
      hello: yello
      yello: 5
      foo: True

routers:
  - name: server-router
    base_box: {image: munikypo/debian-9-x86_64, man_user: debian, mng_protocol: ssh}
    flavor: csirtmu.tiny1x2

  - name: home-router
    base_box: {image: debian/debian-9-x86_64}
    flavor: csirtmu.tiny1x2

wan:
  name: internet-connection
  cidr: 100.100.100.0/29

networks:
  - name: server-switch
    cidr: 10.10.20.0/24

  - name: home-switch
    cidr: 10.10.30.0/24
    accessible_by_user: False

net_mappings:
  - host: server
    network: server-switch
    ip: 10.10.20.5

  - host: home
    network: home-switch
    ip: 10.10.30.5

router_mappings:
  - router: server-router
    network: server-switch
    ip: 10.10.20.1

  - router: home-router
    network: home-switch
    ip: 10.10.30.1

groups:
  - name: user-accessible
    nodes:
      - server
      - home
      - home-router
